function addShakeObj(obj, off_x, off_y, speed, tme)


local tme = tonumber(tme:match "%d+")
local half_speed = math.floor(speed/2)
local half_x = math.floor(off_x/2)
local half_y = math.floor(off_y/2)

      if tme == nil then tme = 0 end

      if tme == 0  then
	  obj:to(half_speed, {Offset = {x = half_x, y = half_y}},easeLinearIn)
	  setDelay(half_speed, function() obj:to(speed, {Offset = {x = - half_x, y = - half_y}},easeLinearIn, true, true) end)	

      else
	obj:to(half_speed, {Offset = {x = half_x, y = half_y}},easeLinearIn)
	 setDelay(half_speed, function() obj:to(speed, {Offset = {x = - half_x, y = - half_y}},easeLinearIn, true, true) end)	
	setDelay(tme, function() obj:to(half_speed, {Offset = {x = 0, y = 0}},easeLinearIn, false, false) end)

     end
end


function StopShakeObj(obj)

	obj:to(0, {Offset = {x = 0, y = 0}},easeLinearIn, false, false)
end


registerActionPart('SHAKE_OBJECT',function(activeAction, actionPart)
	addShakeObj(actionPart.Link, actionPart.Int, actionPart.AltInt, actionPart.AltInt2, actionPart.String)
	return false -- end of action
end)

registerActionPart('STOP_SHAKE_OBJECT',function(activeAction, actionPart)
	StopShakeObj(actionPart.Link)
	return false -- end of action
end)
