registerActionPart('SHAKE_OBJECT',{
	isif=false,
	link1={text='OBJECT',use=true,control=0},
	link2={text='Operator',use=false,control=1},
	integers={use=3,useint3=true,pointlabel='',pointdialog=0},
	integer1={text='FORCE_X_AXIS',control=0,min=-99999,max=99999,val=0,options={}},
	integer2={text='FORCE_Y_AXIS',control=0,min=-99999,max=99999,val=0,options={}},
	integer3={text='SPEED_MS_(0-99999)',control=0,min=0,max=99999,val=0,options={}},
	path={text='',use=false,filter=0},
	string={text='DURATTION_MS',use=1},
	link1filter={'\\eScenes\\VSceneObjects\\eObjects'},
	link2filter={},
	stringfilter={},
})

registerActionPart('STOP_SHAKE_OBJECT',{
	isif=false,
	link1={text='OBJECT',use=true,control=0},
	link2={text='Operator',use=false,control=1},
	integers={use=0,useint3=false,pointlabel='',pointdialog=0},
	integer1={text='',control=0,min=-99999,max=99999,val=0,options={}},
	integer2={text='',control=0,min=-99999,max=99999,val=0,options={}},
	integer3={text='',control=3,min=0,max=99999,val=0,options={'START','STOP'}},
	path={text='',use=false,filter=0},
	string={text='',use=0},
	link1filter={'\\eScenes\\VSceneObjects\\eObjects'},
	link2filter={},
	stringfilter={},
})





translation(2, 'SHAKE_OBJECT', 'Start shake object')
translation(2, 'SHAKE_OBJECT_Name',  "Start shake %link1")
translation(2, 'OBJECT', 'Object')
translation(2, 'DURATTION_MS', 'Duration in ms')
translation(2, 'STOP_SHAKE_OBJECT', 'Stop shake object')
translation(2, 'STOP_SHAKE_OBJECT_Name', 'Stop shake %link1')
translation(2, 'FORCE_X_AXIS', 'Force (x-axis)')
translation(2, 'FORCE_Y_AXIS', 'Force (y-axis)')
translation(2, 'SPEED_MS_(0-99999)', 'Speed in ms (0-99999)')


translation(1, 'SHAKE_OBJECT', 'Gegenstand schütteln')
translation(1, 'SHAKE_OBJECT_Name', "Beginne  %link1 zu schütteln ")
translation(1, 'OBJECT', 'Gegenstand')
translation(1, 'DURATTION_MS', 'Dauer in ms')
translation(1, 'STOP_SHAKE_OBJECT', 'Beende Schütteln Gegenstand ')
translation(1, 'STOP_SHAKE_OBJECT_Name', 'Beende das Schütteln von %link1')
translation(1, 'FORCE_X_AXIS', 'Stärke (X-Achse)')
translation(1, 'FORCE_Y_AXIS', 'Stärke (Y-Achse)')
translation(1, 'SPEED_MS_(0-99999)', 'Geschwindigkeit in ms (0-99999)')

--[[

link1 control
link2 control

0 link field
1 link combobox
2 text

integers text

integers use

0 nothing
1 point dialog
2 use int 1
3 use both ints

integer1 control

0 spinner
1 slider = spinner
2 bool
3 radio buttons
4 combobox
5 direction
6 color picker int(3) db (int1)

path filter

0 image
1 sound
2 video

string use

0 none
1 text
2 multiline
3 script
4 link
5 link field

]]